import * as React from 'react';
import {observer} from 'mobx-react-lite';
import {ModelSelect} from "@rx-suite/ui";
import {sortedOptions} from "../../stores/_FieldConstants";
import {useOrderEntryStore} from "../../hooks/useOrderEntryStore";

export const OrderColumnsSelect = observer(() => {
    const store = useOrderEntryStore();
    const [orderColumns, setOrderColumns] = React.useState([]);

    const fetchOrderColumns = React.useCallback(async() => {
        const columns = await store.getOrderColumns();

        setOrderColumns(columns);
    }, [store]);

    React.useEffect(() => {
        fetchOrderColumns();
    }, [fetchOrderColumns])

    return (
        <ModelSelect
            name={'selected_order_columns'}
            options={sortedOptions(orderColumns.map((option: string) => {
                return {label: option, value: option}
            }))}
            multiple
        />
    );
})