import * as React from 'react';
import {OrderFieldProps} from "../../../stores/_FieldConstants";
import {observer} from "mobx-react-lite";
import {AsyncModelSelect, useCommunicationLoadOptions} from "@rx-suite/ui";

export const FrameNameField: React.FunctionComponent<OrderFieldProps> = observer(({name, label}) => {
    const loadOptions = useCommunicationLoadOptions("rx_inventory", "/api/names", "name", "name", [{id: "name", desc: false}]);

    return (
        <AsyncModelSelect
            name={name}
            label={label}
            loadOptions={loadOptions}
            clearable
            fullWidth
        />
    )
});