import {observer} from 'mobx-react-lite';
import * as React from 'react';
import {ButtonField} from "@rx-suite/ui";
import {t, Trans} from "@lingui/macro";
import {Dialog, DialogActions, DialogContent, DialogTitle} from "@material-ui/core";
import {useOrderEntryStore} from "../../../hooks/useOrderEntryStore";
import {FrameLookupTool} from "./FrameLookupTool";

export const FrameLookupDialog = observer(() => {
    const store = useOrderEntryStore();

    return <Dialog open={store.showingFrameDialog} maxWidth={'xl'} fullWidth>
        <DialogTitle>
            <Trans>Pick Frame</Trans>
        </DialogTitle>
        <DialogContent>
            <FrameLookupTool/>
        </DialogContent>
        <DialogActions>
            <ButtonField text={t`Close`} onClick={store.hideFrameDialog}/>
        </DialogActions>
    </Dialog>
});