import * as React from 'react';
import {observer} from "mobx-react-lite";
import {ScannerField} from "@rx-suite/ui";
import {useStockOrderStore} from "../../hooks/useStockOrderStore";
import {t} from "@lingui/macro";
import {Search} from "@material-ui/icons";

export const LensFindOPCInput: React.FunctionComponent = observer(() => {
    const store = useStockOrderStore();

    return (
        <>
            <ScannerField
                inputConfig={{
                    label: t`Scan/Type OPC or Stock Number`,
                    value: store.opcLookupFieldValue,
                    onChange: store.handleLensOPCChange,
                    onBlur: store.maybeCommitOPCLookupField,
                    disabled: store.fetchingLensCandidates,
                    InputProps: {
                        startAdornment: <Search />
                    },
                    autoFocus: false
            }}
                scanConfig={{
                    onComplete: store.commitOPCLookupField,
                    onPartial: store.maybeCommitOPCLookupField
                }}
            />
        </>
    );
})