# frozen_string_literal: true

class RxuVersion
  include Singleton
  extend Forwardable

  attr_reader :data
  delegate %w([] to_json) => :data


  def initialize
    refresh!
  end

  # always refresh the data, until I can find out if it's
  # safe to cache it forever
  def self.instance
    instance = super
    instance.refresh!
    instance
  end

  def va?
    if @data.blank?
      false
    else
      @data[:CPO] == '14'
    end
  end

  def refresh!
    @data = RxModule::Communicator::Rxuniverse.rxu_version
  end
end
