# == Schema Information
#
# Table name: style_types
#
#  id         :bigint           not null, primary key
#  active     :boolean
#  style_type :string(4000)
#  created_at :datetime         not null
#  updated_at :datetime         not null
#
# Indexes
#
#  index_style_types_on_style_type  (style_type) UNIQUE
#
class StyleType < ApplicationRecord
  scope :active, -> { where(active: true) }
  scope :search, ->(query) { active.where(StyleType.arel_table[:style_type].matches("%#{query}%")) }

  default_scope { active }

  validates_uniqueness_of :style_type

  has_many :styles
  has_many :style_materials, through: :styles
end
