class AddIndexToStyleMaterials < ActiveRecord::Migration[6.0]
  def up
    remove_index :style_materials, column: [:style_id, :material_code, :tint_code, :treat_code]
    add_index :style_materials, [:style_id, :material_code, :tint_code, :treat_code], name: :index_style_materials_on_keys, unique: true
  end

  def down
    remove_index :style_materials, name: :index_style_materials_on_keys
    add_index :style_materials, [:style_id, :material_code, :tint_code, :treat_code], name: :index_style_materials_on_keys
  end
end
